stable

ecdsautils-0.4.1-1.fc34

FEDORA-2022-7704d5e885 created by heffer 2 years ago for Fedora 34

Fixes CVE-2022-24884 (Improper Verification of ECDSA Signatures). In previous versions ecdsautils would erroneously accept all-zero signatures as valid.

More information can be found here: https://github.com/freifunk-gluon/ecdsautils/security/advisories/GHSA-qhcg-9ffp-78pw

How to install

Updates may require up to 24 hours to propagate to mirrors. If the following command doesn't work, please retry later:

sudo dnf upgrade --refresh --advisory=FEDORA-2022-7704d5e885

This update has been submitted for testing by heffer.

2 years ago

This update's test gating status has been changed to 'ignored'.

2 years ago

heffer edited this update.

2 years ago

This update has been pushed to testing.

2 years ago

This update has been submitted for stable by bodhi.

2 years ago

This update has been pushed to stable.

2 years ago

Please login to add feedback.

Metadata
Type
security
Severity
high
Karma
0
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
7 days
Dates
submitted
2 years ago
in testing
2 years ago
in stable
2 years ago
modified
2 years ago
BZ#2082427 CVE-2022-24884 ecdsautils: Improper Verification of ECDSA Signatures [fedora-all]
0
0

Automated Test Results